2019-10-16 12:49 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000732FSSCPgameplaypublic2007-11-20 05:13
Reporterthesource2 
Assigned ToGoober5000 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0000732: ship-type-destroyed works improperly at least with cargo
DescriptionFor cargo ship type this function never returns true, even if the condition is satisfied.
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0001288resolved ship-type-destroyed still works improperly 
+Relationships

-Notes

~0004543

WMCoolmon (developer)

I've bumped a couple minor updates in CVS and gave the code a once-over, didn't see anything wrong yet.

~0004734

Goober5000 (administrator)

I just tested it; it still doesn't work.

~0004818

WMCoolmon (developer)

I think I found it, a <= needed to be a >= for a bounds check.

~0004823

Goober5000 (administrator)

Ugh. I fixed it at the same time you did. :p

Anyway, your fix works.

~0005112

Goober5000 (administrator)

Hm. I'm playing Derelict (SCP edition) right now and this bug popped up again - dl2-07, for one of the primary goals.

~0006232

karajorma (administrator)

I'm thinking of changing the Ships_exited system to a dynamic vector based system rather than the static 400 ship array we have at the moment.

I think it might be an idea to start using that for figuring out what ships have been killed (or at least altering how the current system works) at that time. so I'll nab this one for now :)

~0007807

thesource2 (reporter)

I'm currently fixing derelict scp missions and I'm not sure if I should change objectives' conditions for compatibility among those fixes. How's work goes about this bug?

~0008590

karajorma (administrator)

Is this still an issue?

~0008676

Goober5000 (administrator)

Yup. Fixed it.
+Notes

-Issue History
Date Modified Username Field Change
2006-01-19 09:28 thesource2 New Issue
2006-01-27 23:54 Goober5000 Assigned To => WMCoolmon
2006-01-27 23:54 Goober5000 Status new => assigned
2006-01-29 03:36 WMCoolmon Note Added: 0004543
2006-02-13 02:54 Goober5000 Note Added: 0004734
2006-02-18 20:03 WMCoolmon Note Added: 0004818
2006-02-18 21:17 Goober5000 Note Added: 0004823
2006-02-18 21:17 Goober5000 Status assigned => resolved
2006-03-09 00:01 Goober5000 Status resolved => feedback
2006-03-09 00:01 Goober5000 Resolution open => reopened
2006-03-09 00:01 Goober5000 Note Added: 0005112
2006-07-19 15:11 karajorma Status feedback => assigned
2006-07-19 15:11 karajorma Assigned To WMCoolmon => karajorma
2006-07-19 15:12 karajorma Note Added: 0006232
2007-02-21 19:18 Goober5000 Relationship added has duplicate 0001288
2007-03-06 06:11 thesource2 Note Added: 0007807
2007-10-23 21:11 karajorma Note Added: 0008590
2007-11-20 05:13 Goober5000 Note Added: 0008676
2007-11-20 05:13 Goober5000 Assigned To karajorma => Goober5000
2007-11-20 05:13 Goober5000 Status assigned => resolved
2007-11-20 05:13 Goober5000 Resolution reopened => fixed
2007-11-20 05:13 Goober5000 Fixed in Version => 3.6.10
+Issue History